summaryrefslogtreecommitdiffstats
path: root/arch/arm/boards/at91sam9260ek
diff options
context:
space:
mode:
authorFabio Porcedda <fabio.porcedda@gmail.com>2013-02-18 12:22:15 +0100
committerSascha Hauer <s.hauer@pengutronix.de>2013-02-19 08:56:20 +0100
commitd15b81b41aa4cc851242baa16053dcee9d99762c (patch)
treed524c6cbb64a2ee4dbb8878c9727cdda129c40b3 /arch/arm/boards/at91sam9260ek
parent61c5f054f7bab453106730d6f0af937774de0f2f (diff)
downloadbarebox-d15b81b41aa4cc851242baa16053dcee9d99762c.tar.gz
barebox-d15b81b41aa4cc851242baa16053dcee9d99762c.tar.xz
at91sam9260/9g20ek: refactor init_board script
Refactor to remove duplicated code without changing functionality. Put "then" on the same line of "if", because: - is the most used style in barebox - is like c code style - is more compact Reduce the number of lines from 50 to 40. Tested on at91sam9260ek. Signed-off-by: Fabio Porcedda <fabio.porcedda@gmail.com> Cc: Jean-Christophe PLAGNIOL-VILLARD <plagnioj@jcrosoft.com> Signed-off-by: Sascha Hauer <s.hauer@pengutronix.de>
Diffstat (limited to 'arch/arm/boards/at91sam9260ek')
-rw-r--r--arch/arm/boards/at91sam9260ek/env/bin/init_board54
1 files changed, 22 insertions, 32 deletions
diff --git a/arch/arm/boards/at91sam9260ek/env/bin/init_board b/arch/arm/boards/at91sam9260ek/env/bin/init_board
index 977430debd..27d767d33c 100644
--- a/arch/arm/boards/at91sam9260ek/env/bin/init_board
+++ b/arch/arm/boards/at91sam9260ek/env/bin/init_board
@@ -8,43 +8,33 @@ vendor_id=0x4321
dfu_config="/dev/nand0.barebox.bb(barebox)sr,/dev/nand0.kernel.bb(kernel)r,/dev/nand0.rootfs.bb(rootfs)r"
-if [ $at91_udc0.vbus != 1 ]
-then
+if [ $at91_udc0.vbus != 1 ]; then
echo "No USB Device cable plugged, normal boot"
exit
fi
gpio_get_value ${dfu_button}
-if [ $? != 0 ]
-then
- autoboot_timeout=16
- echo "enable tty over USB Device, increase the boot delay to ${autoboot_timeout}s"
- usbserial
- exit
-fi
-
-echo "${button_name} pressed detected wait ${button_wait}s"
-timeout -s -a ${button_wait}
-
-if [ $at91_udc0.vbus != 1 ]
-then
- echo "No USB Device cable plugged, normal boot"
- exit
-fi
-
-gpio_get_value ${dfu_button}
-if [ $? != 0 ]
-then
+if [ $? = 0 ]; then
+ echo "${button_name} pressed detected wait ${button_wait}s"
+ timeout -s -a ${button_wait}
+
+ if [ $at91_udc0.vbus != 1 ]; then
+ echo "No USB Device cable plugged, normal boot"
+ exit
+ fi
+
+ gpio_get_value ${dfu_button}
+ if [ $? = 0 ]; then
+ echo ""
+ echo "Start DFU Mode"
+ echo ""
+ led ds5 1
+ dfu ${dfu_config} -P ${product_id} -V ${vendor_id}
+ exit
+ fi
echo "${button_name} released, normal boot"
- autoboot_timeout=16
- echo "enable tty over USB Device, increase the boot delay to ${autoboot_timeout}s"
- usbserial
- exit
fi
-echo ""
-echo "Start DFU Mode"
-echo ""
-
-led ds5 1
-dfu ${dfu_config} -P ${product_id} -V ${vendor_id}
+autoboot_timeout=16
+echo "enable tty over USB Device, increase the boot delay to ${autoboot_timeout}s"
+usbserial